---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libthrtimerinfo001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2880, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x53330, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x55270, symBinAddr: 0xA130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55660, symBinAddr: 0xA520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56600, symBinAddr: 0xB4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56610, symBinAddr: 0xB4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52F90, symBinAddr: 0x80A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52F94, symBinAddr: 0x80A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52F98, symBinAddr: 0x80A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x530F0, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x531A8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x531AC, symBinAddr: 0x816C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x531B0, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x531B4, symBinAddr: 0x8174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x531B8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x531C0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x531D0, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x531D8, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x531E0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x531E8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x531F0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x531F8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL8initInfo, symObjAddr: 0x53240, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x53260, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1520, symSize: 0x80 }
  - { offsetInCU: 0x95E4, offset: 0x95E4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1470, symSize: 0xB0 }
  - { offsetInCU: 0x963F, offset: 0x963F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1370, symSize: 0x100 }
  - { offsetInCU: 0x98D2, offset: 0x98D2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x15A0, symSize: 0xC0 }
  - { offsetInCU: 0x9924, offset: 0x9924, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1660, symSize: 0x220 }
  - { offsetInCU: 0x9B09, offset: 0x9B09, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1880, symSize: 0xA0 }
  - { offsetInCU: 0x9BBC, offset: 0x9BBC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1920, symSize: 0x110 }
  - { offsetInCU: 0x9CB2, offset: 0x9CB2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1A30, symSize: 0x150 }
  - { offsetInCU: 0x9E0F, offset: 0x9E0F, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1B80, symSize: 0x30 }
  - { offsetInCU: 0x9ED0, offset: 0x9ED0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1BB0, symSize: 0x150 }
  - { offsetInCU: 0xA0C8, offset: 0xA0C8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1D00, symSize: 0x160 }
  - { offsetInCU: 0xA388, offset: 0xA388, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1E60, symSize: 0x4A0 }
  - { offsetInCU: 0xA5FB, offset: 0xA5FB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2300, symSize: 0x1B0 }
  - { offsetInCU: 0xA816, offset: 0xA816, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x24B0, symSize: 0xA0 }
  - { offsetInCU: 0xA8E5, offset: 0xA8E5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2550, symSize: 0x20 }
  - { offsetInCU: 0xA91C, offset: 0xA91C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2570, symSize: 0x20 }
  - { offsetInCU: 0xA953, offset: 0xA953, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2590, symSize: 0x20 }
  - { offsetInCU: 0xAAC2, offset: 0xAAC2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x25B0, symSize: 0x1A0 }
  - { offsetInCU: 0xADDE, offset: 0xADDE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2750, symSize: 0x130 }
  - { offsetInCU: 0xAF8E, offset: 0xAF8E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2AF0, symSize: 0x1B0 }
  - { offsetInCU: 0xB27D, offset: 0xB27D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2CA0, symSize: 0x80 }
  - { offsetInCU: 0xB346, offset: 0xB346, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2D20, symSize: 0x6A0 }
  - { offsetInCU: 0xBEDB, offset: 0xBEDB, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAFB0, symBinAddr: 0x4E60, symSize: 0xB0 }
  - { offsetInCU: 0xBF52, offset: 0xBF52, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x33C0, symSize: 0x70 }
  - { offsetInCU: 0xC00E, offset: 0xC00E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3430, symSize: 0xA0 }
  - { offsetInCU: 0xC119, offset: 0xC119, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x34D0, symSize: 0x40 }
  - { offsetInCU: 0xC20F, offset: 0xC20F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3510, symSize: 0x2B0 }
  - { offsetInCU: 0xC5B5, offset: 0xC5B5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x37C0, symSize: 0xC0 }
  - { offsetInCU: 0xC6FB, offset: 0xC6FB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3880, symSize: 0x10 }
  - { offsetInCU: 0xC7BD, offset: 0xC7BD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3890, symSize: 0x220 }
  - { offsetInCU: 0xCABA, offset: 0xCABA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3AB0, symSize: 0x10 }
  - { offsetInCU: 0xCB17, offset: 0xCB17, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3AC0, symSize: 0x430 }
  - { offsetInCU: 0xD092, offset: 0xD092, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA040, symBinAddr: 0x3EF0, symSize: 0x10 }
  - { offsetInCU: 0xD0EF, offset: 0xD0EF, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0xA050, symBinAddr: 0x3F00, symSize: 0x50 }
  - { offsetInCU: 0xD16C, offset: 0xD16C, size: 0x8, addend: 0x0, symName: __ZL14checkTimerInfoP9_jvmtiEnvP14jvmtiTimerInfoS2_PKc, symObjAddr: 0xA0A0, symBinAddr: 0x3F50, symSize: 0x960 }
  - { offsetInCU: 0xD4B3, offset: 0xD4B3, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0xAA00, symBinAddr: 0x48B0, symSize: 0x1C0 }
  - { offsetInCU: 0xD711, offset: 0xD711, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0xABC0, symBinAddr: 0x4A70, symSize: 0x60 }
  - { offsetInCU: 0xD7AB, offset: 0xD7AB, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0xAC20, symBinAddr: 0x4AD0, symSize: 0x60 }
  - { offsetInCU: 0xD846, offset: 0xD846, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAC80, symBinAddr: 0x4B30, symSize: 0x330 }
  - { offsetInCU: 0xDC84, offset: 0xDC84, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB060, symBinAddr: 0x4F10, symSize: 0x36A }
...
